bots.getRequestedWebViewButton
Fetch the peer request button a bot prepared for a Mini App with bots.RawRequestWebViewButtonRequest, invoked when the Mini App emits a web_app_request_chat event, see here » for more info.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Fetch the peer request button a bot prepared for a Mini App with bots.RawRequestWebViewButtonRequest, invoked when the Mini App emits a web_app_request_chat event, see here » for more info.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/bots.getRequestedWebViewButton" \ -H "Content-Type: application/json" \ -d '{ "params": { "bot": { "_": "inputUserEmpty" }, "webappReqId": "string" } }'{ "result": { "_": "keyboardButton", "style": { "_": "keyboardButtonStyle", "bgPrimary": true, "bgDanger": true, "bgSuccess": true, "icon": "string" }, "text": "string" }}getPreviewMedias
Fetch [main mini app previews, see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info.
invokeWebViewCustomMethod
Send a custom request from a [mini bot app](https://core.telegram.org/api/bots/webapps), triggered by a [web_app_invoke_custom_method event »](https://core.telegram.org/api/web-events#web-app-invoke-custom-method). The response should be sent using a [custom_method_invoked](https://core.telegram.org/api/bots/webapps#custom-method-invoked) event, [see here »](https://core.telegram.org/api/web-events#web-app-invoke-custom-method) for more info on the flow.